Skip to content
Search
Search the documentation
UpdateProjectCommandsBody
GitHub GitHub

UpdateProjectCommandsBody

Type Alias: UpdateProjectCommandsBody

UpdateProjectCommandsBody = RESTPostAPIApplicationCommandsJSONBody[]

Defined in: v1/types/projects.ts:360

Request body for overwriting the authenticated Discord bot project’s slash commands. Only applicable to projects with platform: "discord" and type: "bot". Pass an empty array to clear all commands.

  • PUT /v1/projects/@me/commands

See

https://docs.top.gg/api/v1/projects#put-projectsmecommands